<?php

declare (strict_types = 1);
use App\Controller\OrderController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addGroup(
    '/order', function () {
        //测试
        Router::get('/index', [OrderController::class, 'index']);
        //查询广告  1
        Router::post('/getAD', [OrderController::class, 'getAD']);
        //添加订单 1
        Router::post('/addAD', [OrderController::class, 'addAD']);
        //获取订单列表 1
        Router::post('/getOrderList', [OrderController::class, 'getOrderList']);
        //获取订单详情  1
        Router::post('/getOrderDetail', [OrderController::class, 'getOrderDetail']);
        //撤回订单 1
        Router::post('/cancelOrder', [OrderController::class, 'cancelOrder']);
        //删除广告
        Router::post('/delOrderAD', [OrderController::class, 'delOrderAD']);

        //后台管理
        //获取订单列表 1
        Router::post('/getOrderListAdmin', [OrderController::class, 'getOrderListAdmin']);
        //获取订单详情 1
        Router::post('/getOrderDetailAdmin', [OrderController::class, 'getOrderDetailAdmin']);

        //获取广告列表 1
        Router::post('/getADList', [OrderController::class, 'getADList']);
        //获取广告详情 2
        Router::post('/getADDetail', [OrderController::class, 'getADDetail']);
        //添加广告
        Router::post('/addADAdmin', [OrderController::class, 'addAD']);
        //修改广告
        Router::post('/editAD', [OrderController::class, 'editAD']);
        //删除广告
        Router::post('/delAD', [OrderController::class, 'delAD']);
        //驳回  结束   修改价格
        Router::post('/editOrderStatus', [OrderController::class, 'editOrderStatus']);

    },
    ['middleware' => [FooMiddleware::class]]
    
);
